Bug 321351 - Review Request: vdr-skinsoppalusikka - The "Soppalusikka" skin for VDR
Review Request: vdr-skinsoppalusikka - The "Soppalusikka" skin for VDR
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-06 10:44 EDT by Ville-Pekka Vainio
Modified: 2008-01-15 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 17:27:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ville.skytta: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ville-Pekka Vainio 2007-10-06 10:44:35 EDT
Spec URL: http://www.cs.helsinki.fi/u/vpivaini/rpm/soppalusikka/vdr-skinsoppalusikka.spec
SRPM URL: http://www.cs.helsinki.fi/u/vpivaini/rpm/soppalusikka/vdr-skinsoppalusikka-1.0.4-0.1.fc7.src.rpm
Description: The "Soppalusikka" is a standalone skin is based on "enElchi" text2skin addon. As this skin is a standalone plugin, you don't need text2skin at all to have an enElchi style skin on your VDR.

This is my first package ever, so I need a sponsor. The .spec file has been based on the .spec file of vdr-femon packaged by Ville Skyttä.

The upstream .tgz has some Finnish TV channel logos in it, but I've chosen to leave them out of the binary RPM, because the copyright situation is unclear. Upstream also ships some "symbol" images with the plugin, I have included those, because they are made by the plugin maintainer and should be under GPLv2.

For some reason rpmbuild includes those symbol image files into the debuginfo package and I couldn't find a way to tell it to ignore them. Otherwise the debuginfo looks good to me.
Comment 1 Ville-Pekka Vainio 2007-10-06 12:13:32 EDT
The Mandriva packager of skinsoppalusikka told me that I don't need to include
the  symbols as files into the packages, because they are compiled into the
plugin file.

Here's an updated SRPM:
http://www.cs.helsinki.fi/u/vpivaini/rpm/soppalusikka/vdr-skinsoppalusikka-1.0.4-0.2.fc7.src.rpm
The .spec file from the first message is updated as well.

The channel logo issue was discussed on #fedora-devel, I need to make a bash
script that removes the channel logos from the .tgz and re-zips, since the logos
can't be distributed even in the .srpm. I'll make yet another updated for that
later.
Comment 2 Ville-Pekka Vainio 2007-10-06 13:16:08 EDT
The undistributable channel logos have now been removed from the .srpm too. I
added a script to download the upstream .tgz, remove the channel logos and
repackage as .tar.bz2. The script is based on a similar script in the vdr-skins
package.

Everything in the skinsoppalusikka package is now distributable under the GPLv2.

Updated SRPM:
http://www.cs.helsinki.fi/u/vpivaini/rpm/soppalusikka/vdr-skinsoppalusikka-1.0.4-0.3.fc7.src.rpm
The .spec file from the first message is updated as well.
Comment 3 Ville Skyttä 2007-10-07 11:19:08 EDT
Good work, just some minor remarks:

- License should be GPL+, not GPLv2 as the sources or anything in the package
doesn't specify a GPL version and in that case (per the GPL text itself, chapter
9 of GPLv2 COPYING) any version of GPL goes.

- s/femon/skinsoppalusikka/ in vdr-skinsoppalusikka.conf's comments

- The main vdr package already owns the /var/lib/vdr/themes dir, so the %dir
entry for it should be removed from %files in this package.
Comment 4 Ville Skyttä 2007-10-07 11:23:44 EDT
Also, %{datadir} appears to be unused in this package so the %define for it can
be dropped.
Comment 5 Ville-Pekka Vainio 2007-10-07 11:54:40 EDT
Thanks for the feedback. I've fixed all of the issues mentioned (hopefully). See
the spec file in the original message and
http://www.cs.helsinki.fi/u/vpivaini/rpm/soppalusikka/vdr-skinsoppalusikka-1.0.4-0.4.fc7.src.rpm
Comment 6 Ville Skyttä 2007-10-07 12:25:01 EDT
Looks good, approved and will sponsor; please proceed with the process described
at http://fedoraproject.org/wiki/PackageMaintainers/Join

Remaining bits that can be addressed before the first build, no need to submit a
new SRPM:

- s/soppalusikka/skinsoppalusikka/ in vdr-skinsoppalusikka.conf :)

- Bump release to 1%{?dist} for the first Fedora build
Comment 7 Ville-Pekka Vainio 2007-10-07 13:43:23 EDT
New Package CVS Request
=======================
Package Name: vdr-skinsoppalusikka
Short Description: The "Soppalusikka" skin for VDR
Owners: vpv
Branches: F-7
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2007-10-08 14:22:11 EDT
cvs done.
Comment 9 Ville-Pekka Vainio 2007-10-11 17:27:12 EDT
The packages are built in Koji, I guess closing this as NEXTRELEASE is the right
thing to do? I'll try to push the package into F-7 with Bodhi next.
Comment 10 Ville Skyttä 2007-10-12 02:36:37 EDT
Yep, that's correct.

Note You need to log in before you can comment on or make changes to this bug.